%
%                              Copyright 2008 Cleimar Jos Salvador, 
%						                      Diego da Silva de Medeiros, 
%						                      Fabrcio Emydio da Silva, 
%						                      Patrick Hedlund Rosa, 
%						                      Marcos Moecke, 
%						                      Mario de Noronha Neto
%
%
%    This file is part of CaTICIS-RX.
%
%    CaTICIS-RX is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    CaTICIS-RX is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with CaTICIS-RX. If not, see <http://www.gnu.org/licenses/>.
%

%% JPEG2BMP(fig_jpeg,modo)
% Faz a converso do padro jpeg para o bitmap. 
% O valor de MODO, indica a converso a ser realizada
function fig_bitmap = JPEG2BMP(fig_jpeg,modo,tamanho)

% altura = 240;
% largura = 320;
% planos = 3;

%% MODO = NADA
% No modo "nada", nenhuma converso  realizada, apenas o vetor 
% convertido em uma matriz para ser exibida na tela.
if strcmpi(modo,'nada')
    
    % Pega o tamanho da imagem
    tam = size(fig_jpeg);
    % Aloca memra para a imagem jpeg
    fig_bitmap = zeros(tamanho(1),tamanho(2),tamanho(3),'uint8');
    % "i" indexa toda a imagem
    i = 1 : tam(2);
    % Converte o vetor da imagem JPEG para uma matriz BMP
    fig_bitmap(i) = fig_jpeg(1,i);

%% MODO = HD
% No modo "hd", a converso  realizada, porm, utilizando o chuncho da
% gravao no HD e leitura de arquivo binrio.
elseif strcmpi(modo,'hd')
    
    % Abre/cria o arquivo binrio
    fid = fopen('Imagem.jpeg','w');
    % Grava a imagem JPEG no arquivo
    fwrite(fid,fig_jpeg);
    % Encerra o descritor para o arquivo
    fclose(fid);
    % L a imagem do HD, convertendo-a para bitmap
    fig_bitmap = imread('Imagem.jpeg');
    
end
